package com.ruoyi.system.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 入学时间对象 tb_enrollment_time
 * 
 * @author ruoyi
 * @date 2022-09-05
 */
public class TbEnrollmentTime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学校id */
    private Long schoolId;

    @Excel(name = "学校名称")
    private String schoolCnName;

    /** 校区 */
    @Excel(name = "校区")
    private String schoolCampus;

    private String degreeCnName;

    /** 专业id */
    private Long majorId;

    @Excel(name = "专业名称")
    private String majorName;

    /** 入学时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入学时间", width = 30, dateFormat = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date enrollmentTime;

    /** 申请开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date applyStartDate;

    /** 申请结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date applyEndDate;

    @Excel(name = "创建人")
    private String creatorDesc;

    @Excel(name = "修改人")
    private String modifiedByDesc;

    @Excel(name="审核人员")
    private String checkerDesc;

    /**审核状态*/
    @Excel(name="审核状态")
    private String checkStatusDesc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setMajorId(Long majorId) 
    {
        this.majorId = majorId;
    }

    public Long getMajorId() 
    {
        return majorId;
    }
    public void setEnrollmentTime(Date enrollmentTime)
    {
        this.enrollmentTime = enrollmentTime;
    }

    public Date getEnrollmentTime()
    {
        return enrollmentTime;
    }
    public void setApplyStartDate(Date applyStartDate)
    {
        this.applyStartDate = applyStartDate;
    }

    public Date getApplyStartDate()
    {
        return applyStartDate;
    }
    public void setApplyEndDate(Date applyEndDate)
    {
        this.applyEndDate = applyEndDate;
    }

    public Date getApplyEndDate()
    {
        return applyEndDate;
    }

    public String getSchoolCnName() {
        return schoolCnName;
    }

    public void setSchoolCnName(String schoolCnName) {
        this.schoolCnName = schoolCnName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getSchoolCampus() {
        return schoolCampus;
    }

    public void setSchoolCampus(String schoolCampus) {
        this.schoolCampus = schoolCampus;
    }

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    public String getCheckerDesc() {
        return checkerDesc;
    }

    public void setCheckerDesc(String checkerDesc) {
        this.checkerDesc = checkerDesc;
    }

    public String getCheckStatusDesc() {
        return checkStatusDesc;
    }

    public void setCheckStatusDesc(String checkStatusDesc) {
        this.checkStatusDesc = checkStatusDesc;
    }

    public String getDegreeCnName() {
        return degreeCnName;
    }

    public void setDegreeCnName(String degreeCnName) {
        this.degreeCnName = degreeCnName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("majorId", getMajorId())
            .append("enrollmentTime", getEnrollmentTime())
            .append("applyStartDate", getApplyStartDate())
            .append("applyEndDate", getApplyEndDate())
            .append("creator", getCreator())
            .append("createTime", getCreateTime())
            .append("modifiedBy", getModifiedBy())
            .append("updateTime", getUpdateTime())
            .append("checker", getChecker())
            .append("checkTime", getCheckTime())
            .append("checkStatus", getCheckStatus())
            .append("checkResult", getCheckResult())
            .toString();
    }
}
